import { commonjsGlobal as a, getDefaultExportFromCjs as c } from "../../../_virtual/_commonjsHelpers.mjs";
import { __module as u } from "../../../_virtual/isBetween.mjs";
(function(p, l) {
  (function(h, i) {
    p.exports = i();
  })(a, function() {
    return function(h, i, s) {
      i.prototype.isBetween = function(m, B, e, r) {
        var t = s(m), o = s(B), n = (r = r || "()")[0] === "(", f = r[1] === ")";
        return (n ? this.isAfter(t, e) : !this.isBefore(t, e)) && (f ? this.isBefore(o, e) : !this.isAfter(o, e)) || (n ? this.isBefore(t, e) : !this.isAfter(t, e)) && (f ? this.isAfter(o, e) : !this.isBefore(o, e));
      };
    };
  });
})(u);
var x = u.exports;
const d = /* @__PURE__ */ c(x);
export {
  d as default
};
